#!/bin/bash

#compat command
#===============================================================================
ypcat() {
	local _ypcat=$({ which ypcat || which niscat; } 2>/dev/null) || {
		echo "[ERR] there is no ypcat or niscat in your system." >&2
		return 1
	}
	$_ypcat "$@"
}

yptest() {
	local _ypcat=$({ which yptest || which nistest; } 2>/dev/null) || {
		echo "[ERR] there is no yptest or nistest in your system." >&2
		return 1
	}
	$_yptest "$@"
}

rpcinfos() {
    rpcinfo -s "$@" 2>/dev/null || rpcinfo -p "$@"
}

nfsrpcinfo() {
  local r=$@
  [ -n "$r" ] && r=|$r
  { rpcinfo -s 2>/dev/null || rpcinfo -p; } | egrep -w "nfs|mountd${r// /|}"
}

